# QWindowStateChangeEvent Class Reference

### [com.trolltech.qt.gui package]

Inherits QEvent.

### Constructor

- void QWindowStateChangeEvent(WindowStates aOldState)
- void QWindowStateChangeEvent(WindowStates aOldState, bool isOverride)

### Constructor Properties

- prototype: The QWindowStateChangeEvent prototype object

### Prototype Object Properties

The QWindowStateChangeEvent prototype object inherits properties from the QEvent prototype object and also has the following properties.

- bool isOverride()
- WindowStates oldState()

### Instance Properties

QWindowStateChangeEvent objects have no special properties beyond those inherited from the QWindowStateChangeEvent prototype object.